Package org.apache.solr.common.cloud

# Class PlainIdRouter

java.lang.Object
org.apache.solr.common.cloud.DocRouter
org.apache.solr.common.cloud.HashBasedRouter
org.apache.solr.common.cloud.PlainIdRouter

public class PlainIdRouter extends HashBasedRouter

## Nested Class Summary

## Nested classes/interfaces inherited from class org.apache.solr.common.cloud.DocRouter

`DocRouter.Range`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`NAME`

### Fields inherited from class org.apache.solr.common.cloud.DocRouter

`DEFAULT, DEFAULT_NAME`

## Constructor Summary

Constructors
Constructor
Description
`PlainIdRouter()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getName()`

### Methods inherited from class org.apache.solr.common.cloud.HashBasedRouter

`getId, getSearchSlicesSingle, getTargetSlice, hashToSlice, isTargetSlice, sliceHash`

### Methods inherited from class org.apache.solr.common.cloud.DocRouter

`fromString, fullRange, getDocRouter, getRouteField, getRouterSpec, getSearchRangeSingle, getSearchSlices, partitionRange, partitionRange`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### NAME

public static final String NAME

See Also:
  - Constant Field Values

## Constructor Details

### PlainIdRouter

public PlainIdRouter()

## Method Details

### getName

public String getName()

Specified by:
  `getName` in class `DocRouter`